javax.persistence

## Interface TupleElement<X>

All Known Subinterfaces:
  CollectionJoin<Z,E>, CompoundSelection<X>, CriteriaBuilder.Case<R>, CriteriaBuilder.Coalesce<T>, CriteriaBuilder.In<T>, CriteriaBuilder.SimpleCase<C,R>, Expression<T>, From<Z,X>, Join<Z,X>, ListJoin<Z,E>, MapJoin<Z,K,V>, ParameterExpression<T>, Path<X>, PluralJoin<Z,C,E>, Predicate, Root<X>, Selection<X>, SetJoin<Z,E>, Subquery<T>

    public interface TupleElement<X>

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getAlias()`
`Class<? extends X>` `getJavaType()`

### Method Detail

#### getJavaType

    Class<? extends X> getJavaType()

#### getAlias

    String getAlias()